package ui;

import java.awt.*;
import javax.swing.*;

import controller.AppletController;
import model.*;

public class AppletView extends BambooView {
	private AppletController controller;

	public AppletView(AppletController controller, BambooModel model) {
		super(controller, model);
		this.controller = controller;
	}

	@Override
	protected JPanel northPanel() {
		JPanel upperPanel = new JPanel(new BorderLayout());
		JPanel panel = new JPanel();
		panel.add(new ReverseButton(controller));
		panel.add(new RotateButton(controller));
		panel.add(new LockButtonPanel(controller, LockButtonPanel.Mode.ANSWER_MODE));
		upperPanel.add(panel);
		upperPanel.add(sizeLabel(), BorderLayout.EAST);
		return upperPanel;
	}

	@Override
	protected JPanel southPanel() {
		
//		StatusBar statusBar = new StatusBar();
		JPanel statusBar = new JPanel();
		statusBar.setLayout(new BorderLayout());
		JLabel coordinateLabel = new CoordinateLabel(controller);
		coordinateLabel.setHorizontalAlignment(SwingConstants.CENTER);
		statusBar.add(coordinateLabel, BorderLayout.CENTER);
		JPanel buttonPanel = new JPanel();
		buttonPanel.add(leftButton());
		buttonPanel.add(new LayerPlusButton(controller));
		buttonPanel.add(new LayerLabel(controller));
		statusBar.add(buttonPanel, BorderLayout.EAST);
		return statusBar;
	}

}
